data:extend({ 
 
--- ACCUMULATOR TEST ---

 {
    type = "accumulator",
    name = "shared_accumulator",
    icon = "__FMRx__/graphics/shared_accumulator/shared_accumulator_ico.png",
    icon_size = 32,
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "shared_accumulator"},
    max_health = 150,
    corpse = "medium-remnants",
    collision_box = {{-1.35, -1.35}, {1.35, 1.35}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    energy_source =
    {
      type = "electric",
      buffer_capacity = "20MJ",
      usage_priority = "terciary",
      input_flow_limit = "200kW",
      output_flow_limit = "500kW"
    },
    picture =
    {
      filename = "__FMRx__/graphics/shared_accumulator/shared_accumulator.png",
      priority = "extra-high",
      width = 128,
      height = 128,
      shift = {0.5,0.5}
    },
    charge_animation =
    {
      filename = "__FMRx__/graphics/shared_accumulator/shared_accumulator_charge.png",
      width = 128,
      height = 128,
	  line_length = 8,
      frame_count = 24,
      shift = {0.5, 0.5},
      animation_speed = 0.4
    },

    charge_cooldown = 30,
    charge_light = {intensity = 0.1, size = 8, color = {r = 1.0, g = 1.0, b = 1.0}},
    discharge_animation =
    {
      filename = "__FMRx__/graphics/shared_accumulator/shared_accumulator_discharge.png",
      width = 128,
      height = 128,
	  line_length = 8,
      frame_count = 24,
      shift = {0.5, 0.5},
      animation_speed = 0.4
    },
    discharge_cooldown = 60,
    discharge_light = {intensity = 0.1, size = 8, color = {r = 1.0, g = 1.0, b = 1.0}},
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/accumulator-working.ogg",
        volume = 1
      },
      idle_sound = {
        filename = "__base__/sound/accumulator-idle.ogg",
        volume = 0.4
      },
      max_sounds_per_type = 5
    },
	
    } 
  
  
  })